SDL Library Documentation
Prev |  | Next

# SDL_mutexP

## Name

SDL_mutexP -- Lock a mutex

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``int SDL_mutexP`(SDL_mutex *mutex);`

## Description

Locks the `mutex`, which was previously created with `SDL_CreateMutex`. If the mutex is already locked then `SDL_mutexP` will not return until it is unlocked. Returns 0 on success, or -1 on an error.

SDL also defines a macro `#define SDL_LockMutex(m) SDL_mutexP(m)`.

## See Also

`SDL_CreateMutex`, `SDL_mutexV`

Prev | Home | Next
SDL_DestroyMutex | Up | SDL_mutexV